Package org.eclipse.emf.cdo.security

# Enum Class PatternStyle

java.lang.Object
java.lang.Enum<PatternStyle>
org.eclipse.emf.cdo.security.PatternStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<PatternStyle>`, `Constable`, `Enumerator`

public enum PatternStyle extends Enum<PatternStyle> implements Enumerator
A representation of the literals of the enumeration 'PatternStyle', and utility methods for working with them.

Since:
  4.3
See Also:
  - `SecurityPackage.getPatternStyle()`
Generated
Model

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANT`
The 'ANT' literal object.
`EXACT`
The 'EXACT' literal object.
`REGEX`
The 'REGEX' literal object.
`TREE`
The 'TREE' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANT_VALUE`
The 'ANT' literal value.
`static final int`
`EXACT_VALUE`
The 'EXACT' literal value.
`static final int`
`REGEX_VALUE`
The 'REGEX' literal value.
`static final int`
`TREE_VALUE`
The 'TREE' literal value.
`static final List<PatternStyle>`
`VALUES`
A public read-only list of all the 'Pattern Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static PatternStyle`
`get(int value)`
Returns the 'Pattern Style' literal with the specified integer value.
`static PatternStyle`
`get(String literal)`
Returns the 'Pattern Style' literal with the specified literal value.
`static PatternStyle`
`getByName(String name)`
Returns the 'Pattern Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static PatternStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PatternStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXACT

public static final PatternStyle EXACT
The 'EXACT' literal object.

See Also:
  - `EXACT_VALUE`
Generated
Ordered

### TREE

public static final PatternStyle TREE
The 'TREE' literal object.

See Also:
  - `TREE_VALUE`
Generated
Ordered

### ANT

public static final PatternStyle ANT
The 'ANT' literal object.

See Also:
  - `ANT_VALUE`
Generated
Ordered

### REGEX

public static final PatternStyle REGEX
The 'REGEX' literal object.

See Also:
  - `REGEX_VALUE`
Generated
Ordered

## Field Details

### EXACT_VALUE

public static final int EXACT_VALUE
The 'EXACT' literal value.

If the meaning of 'EXACT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `EXACT`
  - Constant Field Values
Generated
Model
Ordered

### TREE_VALUE

public static final int TREE_VALUE
The 'TREE' literal value.

If the meaning of 'TREE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TREE`
  - Constant Field Values
Generated
Model
Ordered

### ANT_VALUE

public static final int ANT_VALUE
The 'ANT' literal value.

If the meaning of 'ANT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ANT`
  - Constant Field Values
Generated
Model
Ordered

### REGEX_VALUE

public static final int REGEX_VALUE
The 'REGEX' literal value.

If the meaning of 'Regex' literal object isn't clear, there really should be more of a description here...

See Also:
  - `REGEX`
  - Constant Field Values
Generated
Model
Ordered

### VALUES

public static final List<PatternStyle> VALUES
A public read-only list of all the 'Pattern Style' enumerators.

Generated

## Method Details

### values

public static PatternStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PatternStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static PatternStyle get(String literal)
Returns the 'Pattern Style' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.
Generated

### getByName

public static PatternStyle getByName(String name)
Returns the 'Pattern Style' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.
Generated

### get

public static PatternStyle get(int value)
Returns the 'Pattern Style' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<PatternStyle>`
Generated